<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/2_GameLib/entities/ScriptModel.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d23/_script_model_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ScriptModel.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d23/_script_model_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifdef GAME_TEMPLATE</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>[<a class="code hl_function" href="../../d3/d14/group___entity_attributes.html#gaf2b8419071cbf8297088af388d37d6a4">EditorAttribute</a>(<span class="stringliteral">&quot;box&quot;</span>, <span class="stringliteral">&quot;GameLib/Scripted&quot;</span>, <span class="stringliteral">&quot;Script model&quot;</span>, <span class="stringliteral">&quot;-0.25 -0.25 -0.25&quot;</span>, <span class="stringliteral">&quot;0.25 0.25 0.25&quot;</span>, <span class="stringliteral">&quot;255 0 0 255&quot;</span>, <span class="stringliteral">&quot;0 0 0 0&quot;</span>, <span class="keyword">true</span>, <span class="keyword">true</span>, <span class="keyword">true</span>)]</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">class </span>ScriptModelClass</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>}</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>ScriptModelClass ScriptModelSource;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="keyword">class </span>ScriptModel: GenericEntity</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    [<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#d3/d0d/class_attribute">Attribute</a>(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;resourceNamePicker&quot;</span>, <span class="stringliteral">&quot;Model&quot;</span>, <span class="stringliteral">&quot;xob&quot;</span>)]</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    <span class="keywordtype">string</span> Model;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    [<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#d3/d0d/class_attribute">Attribute</a>(<span class="stringliteral">&quot;1&quot;</span>, <span class="stringliteral">&quot;combobox&quot;</span>, <span class="stringliteral">&quot;Physics&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, { <a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#d2/d19/class_param_enum">ParamEnum</a>(<span class="stringliteral">&quot;None&quot;</span>, <span class="stringliteral">&quot;2&quot;</span>), <a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#d2/d19/class_param_enum">ParamEnum</a>(<span class="stringliteral">&quot;Static&quot;</span>, <span class="stringliteral">&quot;1&quot;</span>), <a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#d2/d19/class_param_enum">ParamEnum</a>(<span class="stringliteral">&quot;Dynamic&quot;</span>, <span class="stringliteral">&quot;0&quot;</span>) } )]</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a651a3c9de2e16ff0deca8d09dedbda58">Type</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keywordtype">void</span> ScriptModel(<a class="code hl_class" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a> src, <a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> parent)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> (Model== <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_function" href="../../d6/dae/group___debug_shape.html#gaa9ba3114af4e5ecafd82fcdfd3c196b1">SetFlags</a>(<a class="code hl_enumeration" href="../../d3/d14/group___entity_attributes.html#gacda3452546886b2b713c62c4a07fd52a">EntityFlags</a>.ACTIVE | <a class="code hl_enumeration" href="../../d3/d14/group___entity_attributes.html#gacda3452546886b2b713c62c4a07fd52a">EntityFlags</a>.SOLID | <a class="code hl_enumeration" href="../../d3/d14/group___entity_attributes.html#gacda3452546886b2b713c62c4a07fd52a">EntityFlags</a>.VISIBLE, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_class" href="../../d3/d5c/classvobject.html">vobject</a> vobj = <a class="code hl_function" href="../../d2/d9f/_action_targets_8c.html#aaa4160de65ac77debe2902527ebfc4f2">GetObject</a>(Model);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        SetObject(vobj, <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d1/d38/group___visual.html#gaf9e341a2578c4863da4c5cf0fd0da018">ReleaseObject</a>(vobj, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a651a3c9de2e16ff0deca8d09dedbda58">Type</a> == 1)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            dBodyCreateStatic(<span class="keyword">this</span>, 0xffffffff); <span class="comment">// todo - defines for layer mask           </span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a651a3c9de2e16ff0deca8d09dedbda58">Type</a> == 0)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">if</span>(!dBodyCreateDynamic(<span class="keyword">this</span>, 1.0, 0xffffffff))</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                <span class="comment">//create implicit box</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mins, maxs;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                GetBounds(mins, maxs);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> center = (mins + maxs) * 0.5;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> size = maxs - mins;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                                </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <a class="code hl_class" href="../../d7/d1e/group___rigid_body.html#d5/d43/class_physics_geom_def">PhysicsGeomDef</a> geoms[] = {<a class="code hl_class" href="../../d7/d1e/group___rigid_body.html#d5/d43/class_physics_geom_def">PhysicsGeomDef</a>(<span class="stringliteral">&quot;&quot;</span>, <a class="code hl_function" href="../../d2/d3b/group___geometry.html#gae939af78ac68f864f3db4bed60430fb6">dGeomCreateBox</a>(size), <span class="stringliteral">&quot;material/default&quot;</span>, 0xffffffff)};</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#gaa324165b985fa1639addae012bdad502">dBodyCreateDynamicEx</a>(<span class="keyword">this</span>, center, 1, geoms);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">if</span>(<a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#gaec263f7d455170ec5aa2fedd6c62d0ef">dBodyIsSet</a>(<span class="keyword">this</span>))</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#gaafbe7059b29e7827e4edddb6c3f2f716">dBodySetMass</a>(<span class="keyword">this</span>, 1.0);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                <a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#ga699b9ff8b31798bbcbe6c34bdbb1db01">dBodyActive</a>(<span class="keyword">this</span>, <a class="code hl_enumeration" href="../../d7/d1e/group___rigid_body.html#gaefc8378ef88030349d44d0da88a3a834">ActiveState</a>.ACTIVE);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#ga72544adaa28ff93ce0635463f880a233">dBodyDynamic</a>(<span class="keyword">this</span>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="keywordtype">void</span> ~ScriptModel()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">if</span>(<a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#gaec263f7d455170ec5aa2fedd6c62d0ef">dBodyIsSet</a>(<span class="keyword">this</span>))</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <a class="code hl_function" href="../../d7/d1e/group___rigid_body.html#ga589e6f79b9104a9689589cb63c26f259">dBodyDestroy</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>}</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="a_action_targets_8c_html_aaa4160de65ac77debe2902527ebfc4f2"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#aaa4160de65ac77debe2902527ebfc4f2">GetObject</a></div><div class="ttdeci">Object GetObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_action_targets_8c_source.html#l00122">ActionTargets.c:122</a></div></div>
<div class="ttc" id="a_json_data_contaminated_area_8c_html_a651a3c9de2e16ff0deca8d09dedbda58"><div class="ttname"><a href="../../d4/d2c/_json_data_contaminated_area_8c.html#a651a3c9de2e16ff0deca8d09dedbda58">Type</a></div><div class="ttdeci">string Type</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00011">JsonDataContaminatedArea.c:11</a></div></div>
<div class="ttc" id="aclass_i_entity_source_html"><div class="ttname"><a href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00015">EnEntity.c:16</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvobject_html"><div class="ttname"><a href="../../d3/d5c/classvobject.html">vobject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00048">proto.c:49</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_gaa9ba3114af4e5ecafd82fcdfd3c196b1"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#gaa9ba3114af4e5ecafd82fcdfd3c196b1">SetFlags</a></div><div class="ttdeci">proto native void SetFlags(ShapeFlags flags)</div></div>
<div class="ttc" id="agroup___entity_attributes_html_d2/d19/class_param_enum"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#d2/d19/class_param_enum">ParamEnum</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00770">EnEntity.c:771</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_d3/d0d/class_attribute"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#d3/d0d/class_attribute">Attribute</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00805">EnEntity.c:806</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_gacda3452546886b2b713c62c4a07fd52a"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#gacda3452546886b2b713c62c4a07fd52a">EntityFlags</a></div><div class="ttdeci">EntityFlags</div><div class="ttdoc">Entity flags.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00114">EnEntity.c:115</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_gaf2b8419071cbf8297088af388d37d6a4"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#gaf2b8419071cbf8297088af388d37d6a4">EditorAttribute</a></div><div class="ttdeci">void EditorAttribute(string style, string category, string description, vector sizeMin, vector sizeMax, string color, string color2=&quot;0 0 0 0&quot;, bool visible=true, bool insertable=true, bool dynamicBox=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00836">EnEntity.c:836</a></div></div>
<div class="ttc" id="agroup___geometry_html_gae939af78ac68f864f3db4bed60430fb6"><div class="ttname"><a href="../../d2/d3b/group___geometry.html#gae939af78ac68f864f3db4bed60430fb6">dGeomCreateBox</a></div><div class="ttdeci">proto native dGeom dGeomCreateBox(vector size)</div><div class="ttdoc">Creates box geometry.</div></div>
<div class="ttc" id="agroup___rigid_body_html_d5/d43/class_physics_geom_def"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#d5/d43/class_physics_geom_def">PhysicsGeomDef</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d13/_en_physics_8c_source.html#l00030">EnPhysics.c:31</a></div></div>
<div class="ttc" id="agroup___rigid_body_html_ga589e6f79b9104a9689589cb63c26f259"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#ga589e6f79b9104a9689589cb63c26f259">dBodyDestroy</a></div><div class="ttdeci">proto native void dBodyDestroy(notnull IEntity ent)</div><div class="ttdoc">Destroys attached physics body.</div></div>
<div class="ttc" id="agroup___rigid_body_html_ga699b9ff8b31798bbcbe6c34bdbb1db01"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#ga699b9ff8b31798bbcbe6c34bdbb1db01">dBodyActive</a></div><div class="ttdeci">proto native void dBodyActive(notnull IEntity ent, ActiveState activeState)</div></div>
<div class="ttc" id="agroup___rigid_body_html_ga72544adaa28ff93ce0635463f880a233"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#ga72544adaa28ff93ce0635463f880a233">dBodyDynamic</a></div><div class="ttdeci">proto native void dBodyDynamic(notnull IEntity ent, bool dynamic)</div></div>
<div class="ttc" id="agroup___rigid_body_html_gaa324165b985fa1639addae012bdad502"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#gaa324165b985fa1639addae012bdad502">dBodyCreateDynamicEx</a></div><div class="ttdeci">proto bool dBodyCreateDynamicEx(notnull IEntity ent, vector centerOfMass, float mass, PhysicsGeomDef geoms[])</div></div>
<div class="ttc" id="agroup___rigid_body_html_gaafbe7059b29e7827e4edddb6c3f2f716"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#gaafbe7059b29e7827e4edddb6c3f2f716">dBodySetMass</a></div><div class="ttdeci">proto native void dBodySetMass(notnull IEntity body, float mass)</div></div>
<div class="ttc" id="agroup___rigid_body_html_gaec263f7d455170ec5aa2fedd6c62d0ef"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#gaec263f7d455170ec5aa2fedd6c62d0ef">dBodyIsSet</a></div><div class="ttdeci">proto native bool dBodyIsSet(notnull IEntity ent)</div><div class="ttdoc">Has the entity attached physics body?</div></div>
<div class="ttc" id="agroup___rigid_body_html_gaefc8378ef88030349d44d0da88a3a834"><div class="ttname"><a href="../../d7/d1e/group___rigid_body.html#gaefc8378ef88030349d44d0da88a3a834">ActiveState</a></div><div class="ttdeci">ActiveState</div><div class="ttdoc">state of a rigidbody</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d13/_en_physics_8c_source.html#l00084">EnPhysics.c:85</a></div></div>
<div class="ttc" id="agroup___visual_html_gaf9e341a2578c4863da4c5cf0fd0da018"><div class="ttname"><a href="../../d1/d38/group___visual.html#gaf9e341a2578c4863da4c5cf0fd0da018">ReleaseObject</a></div><div class="ttdeci">proto native void ReleaseObject(vobject object, int flag=0)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6cbeac509316e19dc1bb30078ed67032.html">2_GameLib</a></li><li class="navelem"><a class="el" href="../../dir_bdf5c9dd5718ea20b962fb149cbaae3a.html">entities</a></li><li class="navelem"><a class="el" href="../../d8/d23/_script_model_8c.html">ScriptModel.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
